require 'fullstack/ckeditor/engine'

module Fullstack
  module Ckeditor

    mattr_accessor :picture_class
    mattr_accessor :picture_attachment
    
    @@picture_attachment    = "data"
        
    mattr_accessor :attachment_class
    mattr_accessor :attachment_attachment

    @@attachment_attachment = "data"
    
    def setup
      yield(self)
    end      
    module_function :setup
    
    def picture_uploader?
      !picture_class.nil?
    end
    module_function :picture_uploader?

    def attachment_uploader?
      !attachment_class.nil?
    end
    module_function :attachment_uploader?
    
    
  end
end
